bitel.billing.server.cerbercrypt.bean

## Class PacketChannelManager

- java.lang.Object
- - bitel.billing.server.cerbercrypt.bean.PacketChannelManager

- Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.server.bean.PacketChannelManager

      @Deprecated
      public class PacketChannelManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketChannelManager(java.sql.Connection con, int mid)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePacketChannel(int id)` Deprecated.
    `void` | `deletePacketChannels(int packetID)` Deprecated.
    `PacketChannel` | `getPacketChannelById(int id)` Deprecated.
    `PacketChannel` | `getPacketChannelByID(int id)` Deprecated.
    `java.util.List<PacketChannel>` | `getPacketChannelList(java.util.Calendar date)` Deprecated.
    `java.util.List<PacketChannel>` | `getPacketChannelList(int packetID)` Deprecated.
    `void` | `updatePacketChannel(int id, PacketChannel packetChannel)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketChannelManager

          public PacketChannelManager(java.sql.Connection con,
                                      int mid)

      Deprecated.

  - ### Method Detail

    - #### deletePacketChannels

          public void deletePacketChannels(int packetID)

      Deprecated.

    - #### deletePacketChannel

          public void deletePacketChannel(int id)

      Deprecated.

    - #### updatePacketChannel

          public void updatePacketChannel(int id,
                                          PacketChannel packetChannel)

      Deprecated.

    - #### getPacketChannelById

          public PacketChannel getPacketChannelById(int id)
                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketChannelByID

          @Deprecated
          public PacketChannel getPacketChannelByID(int id)
                                                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Использовать `getPacketChannelById(int)`.
      Parameters:
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketChannelList

          public java.util.List<PacketChannel> getPacketChannelList(int packetID)
                                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPacketChannelList

          public java.util.List<PacketChannel> getPacketChannelList(java.util.Calendar date)
                                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`